<template>
    <div>
        <h2>Pop up Component</h2>
        <input type="text" name="name" v-model="data.name">
        <button @click="handleClose">close Pop Up</button>

    </div>
</template>

<script setup>
import {ref} from 'vue'
const emit=defineEmits({
    close(name){
        console.log("name:",name);
        if (!name){
            return false
        }

        return true

        
    }
});
const data=ref({
    name:''
});


const handleClose=()=>{

    emit('close',data.value.name);

}
</script>

<style lang="scss" scoped>

</style>